add_rules("mode.debug","mode.release")
if is_mode("debug") then 
    -- add_cxxflags("-O2","-DOI")
    add_cxxflags("-DOI")
end 
set_languages("c++17")

target("P1158")
    set_rundir("20240821/P1158")
    add_files("20240821/P1158/P1158.cpp")

target("lq148jz")
    add_files("20240823/十四届蓝桥比赛/八进制回文平方数.cpp")

target("lq14zy")
    add_files("20240823/十四届蓝桥比赛/主要成分.cpp")

target("lq14jd")
    add_files("20240823/十四届蓝桥比赛/简单算术题.cpp")

target("lq14sd")
    add_files("20240823/十四届蓝桥比赛/数独填数.cpp")